7 Qt Games [keyboard+mouse]

    • Official Post

    Voraussetzungen/requires: Image 1.6, usb/... Keyboard, Mouse (geht nicht mit Fernbediehnung/no RC support)!!


    Fenster skalieren vor Spielbegin/scale screen before starting Game!!


    install via BP or copy to tmp or hdd and install in telnet:

    Code
    root@dm8000:~# opkg install --force-overwrite /tmp/enigma2-plugin-extensions-qtgames_*_mipsel.ipk



    have Fun :winking_face:

  • emanuel,


    ich hätte auch gern DOOM, geht das? :winking_face:


    Im Ernst: coole Portierung.


    Mamba

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

  • das hab ich mir auch schon gewünscht :winking_face:


    antwort: wenn du sourcecode hast geht das :grinning_squinting_face:

  • Auf meinem Nitendo DS läuft Doom, Quake und Duke Nukem. :grinning_squinting_face:


    QT? Vermutlich nicht.


    http://www.homebrewwelt.com/2007/02/15/ds-doom/
    http://www.jefklak.com/games/ds-doom/


    Source-Code von Doom: http://www.jefklak.com/games/Doom/dsdoom_v110_src.zip

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

    Edited 3 times, last by mamba0815 ().

  • Wenn das klappt, dann solltest du dich beim Dream-Wettbewerb anmelden!! Ach ne, ist ja gewaltverherrlichend und Shareware. Har har ..


    :winking_face:


    Mamba

    checking for long long... yes
    checking for long double... yes
    +++ Divide By Cucumber Error. Stopping. +++

  • Ich glaube vom Doom gitbs sogar sourcen für Nano-X, nur das hab ich nie durch den compiler gejaged weil ich sowas nicht brauche.

  • Quote

    Original von gutemine
    Ich glaube vom Doom gitbs sogar sourcen für Nano-X, nur das hab ich nie durch den compiler gejaged weil ich sowas nicht brauche.


    Also Doom auf der Dreambox wär schon sehr geil! :saege:

  • Collected errors:
    * Package enigma2-plugin-extensions-qtgames wants to install file /usr/sbin/fbset.real
    But that file is already provided by package * fbset
    * Cannot find package enigma2-plugin-extensions-qtgames.


    so geht es wenn fbset full schon Installiert hat.


    gruß pclin

  • Installation gemini2-5.1 (fbset vorher entfernt)


    kann das Tetris Spielen Score wird Angezeigt, aber keine Schrift auf den Button (Start, Quit usw.)


    gruß pclin


    EDIT
    in /usr/bin ist nur ein Toter link cpp auf cpp-4.3


    ich Denke das sollte anders sein.

    Edited 4 times, last by pclin ().

  • nach anlegen von /etc/alternatives und neuinstallation, gleicher fehler.


    es ist auch noch ein Toter link vorhanden mipsel-linux-gnu-cpp auf cpp-4.3


    cpp-4.3 ist nicht vorhanden.


    cpp von Hand reinkopiert,


    Spiel gestartet, keine Schrift auf Button.


    gruß pclin

    Edited 2 times, last by pclin ().

  • bei dir ist der eine link cpp auf cpp-4.3
    cpp sollte aber auf mipsel-oe-linux-cpp verweisen (die eigentliche cpp bin),


    geht bei dir aber auf mipsel-linux-gnu.cpp der aber wieder ein link auf nicht vorhandene cpp-4.3 bin ist.


    in anderen Images bei mir ist die Variante mit mipsel-oe-linux-cpp korekt Installiert.


    gruß pclin


    EDIT
    cpp-4.3 = 260144
    mipsel-oe-linux-cpp = 217200


    auf der Box ist eigentlich immer mipsel-oe-linux und nicht mipsel-linux-gnu


    hast du da geklaut ? Gemischt ?

    Edited 3 times, last by pclin ().

  • bei Tetris
    NEXT und SCORE waren von Anfang an zu sehen.


    auf den Button war auch von Anfang an ein wenig schwarz konnte es jetzt vom nahen mit Lupe als Schrift erkennen.


    Woran das wohl liegt ? :face_with_rolling_eyes:


    gruß pclin


    ps
    die Tastatur / Maus geht SUPER :winking_face:

    Edited once, last by pclin ().

    • Official Post

    pclin: Ja, siehe unten...


    Quote

    Original von emanuel
    install via BP or copy to tmp or hdd and install in telnet:

    Code
    root@dm8000:~# opkg install --force-overwrite /tmp/enigma2-plugin-extensions-qtgames_*_mipsel.ipk


    have Fun :winking_face:


    --force-overwrite